Package com.smartgwt.client.types

# Enum CriteriaPolicy

java.lang.Object
java.lang.Enum<CriteriaPolicy>
com.smartgwt.client.types.CriteriaPolicy

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<CriteriaPolicy>`, `Constable`

public enum CriteriaPolicy extends Enum<CriteriaPolicy> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DROPONCHANGE`
  Cache is dropped whenever criteria changes.
  `DROPONSHORTENING`
  Cache is retained as long as the only changes to criteria make the criteria more restrictive as determined by `ResultSet.compareCriteria()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static CriteriaPolicy`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CriteriaPolicy[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DROPONCHANGE

    public static final CriteriaPolicy DROPONCHANGE
    Cache is dropped whenever criteria changes.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "dropOnChange".

  - ### DROPONSHORTENING

    public static final CriteriaPolicy DROPONSHORTENING
    Cache is retained as long as the only changes to criteria make the criteria more restrictive as determined by `ResultSet.compareCriteria()`.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "dropOnShortening".

- ## Method Details

  - ### values

    public static CriteriaPolicy[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CriteriaPolicy valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`